libglom-1.22 1.22.0

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glom::predicate_LayoutItem_Field_IsSameField< T_ElementField, T_Element > Class Template Reference

A predicate for use with std::find_if() to find a LayoutItem_Field which refers to the same field, without comparing irrelevant stuff such as formatting. More...

## Public Member Functions

| predicate_LayoutItem_Field_IsSameField (const sharedptr< const T_ElementField >& layout_item)
bool | operator() (const sharedptr< const T_Element >& element)

## Detailed Description

### template<class T_ElementField, class T_Element = T_ElementField>
class Glom::predicate_LayoutItem_Field_IsSameField< T_ElementField, T_Element >

A predicate for use with std::find_if() to find a LayoutItem_Field which refers to the same field, without comparing irrelevant stuff such as formatting.

## Constructor & Destructor Documentation

template <class T_ElementField , class T_Element = T_ElementField>

Glom::predicate_LayoutItem_Field_IsSameField< T_ElementField, T_Element >::predicate_LayoutItem_Field_IsSameField | ( | const sharedptr< const T_ElementField >& | layout_item | ) |

inline

## Member Function Documentation

template <class T_ElementField , class T_Element = T_ElementField>

bool Glom::predicate_LayoutItem_Field_IsSameField< T_ElementField, T_Element >::operator() | ( | const sharedptr< const T_Element >& | element | ) |

inline

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutitem_field.h